<?php

/* Text domain for Multilanguage Theme */
$themename = 'BusinessWP';
load_theme_textdomain($themename);

/* Post-Thumbnails */
add_theme_support('post-thumbnails');
set_post_thumbnail_size( 288, 101, true );
add_action('admin_menu', 'settingsPage_display');

/* Theme Settings in Menu */
function settingsPage_display() { // Adds Dashboard Menu Item
	add_menu_page('BusinessWP Settings', 'BusinessWP Settings', 'edit_themes', __FILE__, 'settingsPage');
}

/* Settings page */
require_once ('options/settings-page.php'); // Requires the settings page where all functions are located.

/* Sidebar Widgets */
if ( function_exists('register_sidebar') )
register_sidebar(array(
	'name' => 'Sidebar',
	'before_widget' => '<div class="widget">',
	'after_widget' => '</div>',
	'before_title' => '<h3>',
	'after_title' => '</h3>',
));
   
/* Enable Wordpress 3.0 Menu */                            
if ( function_exists( 'register_nav_menu' ) ) {
  register_nav_menus(array('primary' => __( 'Primary Navigation', 'BusinessWP' )));
}

/* Custom header */
define('HEADER_TEXTCOLOR', '');
define('HEADER_IMAGE', get_bloginfo('stylesheet_directory') . '/images/header.png'); // %s is the template dir uri
define('HEADER_IMAGE_WIDTH', 980); // use width and height appropriate for your theme
define('HEADER_IMAGE_HEIGHT', 365);
define('NO_HEADER_TEXT', true );

/* gets included in the admin header */
function admin_header_style() {
    ?><style type="text/css">
        #headimg {
            background: url(<?php header_image(); ?>);
            width: <?php echo HEADER_IMAGE_WIDTH; ?>px;
            height: <?php echo HEADER_IMAGE_HEIGHT; ?>px;
        }
        
        h1 a { display: none; }
        
        div#desc { display: none; }
    </style><?php
}

/* gets included in the blog header */
function header_style() {
    ?><style type="text/css">
        #featured {
            background: url(<?php HEADER_IMAGE(); ?>);
            width: <?php echo HEADER_IMAGE_WIDTH; ?>px;
            height: <?php echo HEADER_IMAGE_HEIGHT; ?>px;
        }
    </style><?php
}

add_custom_image_header('header_style', 'admin_header_style');

/**
 *
 * Dashboard Widget to get RSS from ST
 *   
**/

include_once(ABSPATH . WPINC . '/rss.php');
 
/* Print Dashboard Widget */
function dashboard_StylishTemplates() {
	  $st_rss_feed = 'http://feeds.feedburner.com/stylishtemplates';
    $widget_options = dashboard_StylishTemplates_Options();
    $rss = fetch_rss($st_rss_feed);
	
	
	if ( !empty($rss->items) ) {
	     echo "<div id='identity'></div>";
	     echo '<ul>';
         $rss->items = array_slice($rss->items, 0, $widget_options['items']);
         
		 foreach ($rss->items as $item ) {
                 $trlink = '<li><a href="' . wp_filter_kses($item['link']) . '">' . wptexturize(wp_specialchars($item['title'])) . '</a>';

                 if($widget_options['showexcerpt']) {
	                $trlink .=  "<p>" . wptexturize(wp_specialchars(substr(strip_tags($item['description']), 0,350) )) . "...</p>";
                 }
                
                 echo '<p>';
                 echo $trlink;
                 echo '</p>'; 
                 }


                 echo '<li></ul>';
				
                 } else {
				 
                 echo '<p>' . __( 'This dashboard widget queries <a href="http://www.stylish-templates.de">Stylish-Templates.de</a> for their latest Templates.', 'BusinessWP') . "</p>";
		         }
		         echo '<p class="textright"><a class="button" href="http://www.stylish-templates.de">'.__('View all').'</a></p>';
                 }
	
            /* add Dashboard Widget via function wp_add_dashboard_widget() */
            function dashboard_StylishTemplates_Init() {
            	wp_add_dashboard_widget('dashboard_StylishTemplates', __( 'Stylish Templates Template Feed', 'BusinessWP'), 'dashboard_StylishTemplates', 'dashboard_StylishTemplates_Setup');
            }
            
            function StylishTemplates_head() {
            	echo '<link href="'.get_bloginfo('wpurl').'/wp-content/plugins/StylishTemplates-dashboard-feed/style.css" rel="stylesheet" type="text/css" />'."\n";
                }
            
            function dashboard_StylishTemplates_Options() {
            	$defaults = array( 'items' => 5, 'showURL' => 1, 'showexcerpt' => 1);
            	if ( ( !$options = get_option( 'dashboard_StylishTemplates' ) ) || !is_array($options) )
            		    $options = array();
            	return array_merge( $defaults, $options );
                }
            
            function dashboard_StylishTemplates_Setup() {
            	$options = dashboard_StylishTemplates_Options();
            
            	if ( 'post' == strtolower($_SERVER['REQUEST_METHOD']) && isset( $_POST['widget_id'] ) && 'dashboard_StylishTemplates' == $_POST['widget_id'] ) {
            		 foreach ( array( 'items', 'showurl', 'showexcerpt' ) as $key )
            				 $options[$key] = $_POST[$key];
            		         update_option( 'dashboard_StylishTemplates', $options );
                }
            		
            ?>
            
            <!-- add Dashboard configure panel -->
            <div id='identity-configure'></div>
            
            <p>
             <label for="items"><?php _e('How many items would you like to display?', 'dashboard_StylishTemplates' ); ?>
              <select id="items" name="items">
               <?php for ( $i = 5; $i <= 20; $i = $i + 1 )
                      echo "<option value='$i'" . ( $options['items'] == $i ? " selected='selected'" : '' ) . ">$i</option>"; ?>
              </select>
             </label>
            </p>
            	
            <p>
             <label for="showexcerpt">
              <input id="showexcerpt" name="showexcerpt" type="checkbox" value="1"<?php if ( 1 == $options['showexcerpt'] ) echo ' checked="checked"'; ?> />
              <?php _e('Show excerpt?', 'dashboard_StylishTemplates' ); ?>
             </label>
            </p>
    <?php }

add_action('wp_dashboard_setup', 'dashboard_StylishTemplates_Init'); 

?>